@goto End_Copyright
# --COPYRIGHT--,BSD
#  Copyright (c) 2010, Texas Instruments Incorporated
#  All rights reserved.
# 
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
# 
#  *  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
# 
#  *  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
# 
#  *  Neither the name of Texas Instruments Incorporated nor the names of
#     its contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
# 
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# --/COPYRIGHT--
#!/bin/sh

:End_Copyright
@echo off
REM ============================================================================
REM @file   prelink.bat
REM
REM @path   $(DMAI_INSTALL_DIR)/wince_pb/wince600
REM
REM @desc   Sets the DMAI environment and builds DMAI lib and DMAI apps. This 
REM         file is used by WinCE platform builder to build the DMAI subproject.
REM ============================================================================

@REM Add pre-link commands below.

REM Call setpaths.bat to set all DVSDK paths
if EXIST %dvsdk_install_dir%\setpaths.bat call %dvsdk_install_dir%\setpaths.bat

@set VAR_NAMES_SET=_WINCEROOT _winceroot _PROJECTROOT _projectroot _TGTCPU _tgtcpu
@set VAR_NAMES_SET=%VAR_NAMES_SET% _TGTCPUFAMILY _tgtcpufamily _TARGETPLATROOT _targetplatroot
@set VAR_NAMES_SET=%VAR_NAMES_SET% _FLATRELEASEDIR _flatreleasedir WINCEDEBUG wincedebug
@set VAR_NAMES_SET=%VAR_NAMES_SET% PATH path BIOS_INSTALL_DIR bios_install_dir
@set VAR_NAMES_SET=%VAR_NAMES_SET% DVSDK_INSTALL_DIR dvsdk_install_dir
@call :Loop4 %VAR_NAMES_SET%
@goto start_build

REM The following loop converts lower case environment definitions
REM (PB default) to upper case needed by makefiles
:Loop4
@if [%1]==[] goto:EOF
@call set my_temp=%%%2%%
@set %2=
@set %1=%my_temp%
@shift
@shift
@goto Loop4

:start_build
@set VAR_NAMES_SET=
@set my_temp=

set

@set DMAI_BUILD_TARGET=o3530_aw

echo ===========================================================
echo Starting DMAI lib and DMAI apps builds
echo ===========================================================

echo Build for target "%DMAI_BUILD_TARGET%"
cd %CD%\..\..
gmake clean
gmake %DMAI_BUILD_TARGET%

echo ===========================================================
echo DMAI lib and apps done
echo ===========================================================

cd %_WINCEROOT%
